Subject: [avtext] What should FIR mean for MRST/MRMT streams?

From: Jonathan Lennox <[email-masked]>
Date: Thu, 15 Oct 2015 20:22:51 +0000

Hello, all —

This issue came up in Prague in the context of the LRR discussion, and I promised to bring it up on the mailing list. I apologize for leaving it this late.

What should the FIR feedback message mean for spatially-scalable MRST or MRMT streams?  The FIR message targets a particular SSRC value, but for these streams the logical encoding is spread across multiple streams.

Option 1 would be to say that FIR should really mean “full Intra”, refreshing decoding state of all the streams.  In this case we should probably recommend it always be targeted at the base encoded stream (not any of the dependent streams).

Option 2 would be to say that FIR only requests a refresh of an individual (encoded or dependent) stream, and for a full refresh of the entire encoding, you need to send multiple FIR requests.

Considerations:

It never (I think) makes sense to send FIR for a higher *temporal* layer of a stream — only a higher spatial layer.

For Option 2, for MRST the multiple FIR requests could all be aggregated as separate FCI entries of the same PSFB packet, ensuring fate-sharing and simultaneity.  However, this isn't possible for MRMT.  So option 2 would make it hard to reliably get a truly-full refresh in MRMT.

There’s a lot of desire to make MRST (and probably MRMT) “look like” simulcast, just with a dependency structure added.  However, there seems to be consensus that FIR for one stream of a simulcast source shouldn’t trigger Intra frames on all the simulcast streams.

Note that currently this is only an issue for H.264-SVC.  The VP8 and H.265v1 payload formats don't support spatial scalability, and the VP9 payload only supports SRST transmission.

Speaking as an individual, my inclination would be to go with Option 1, and that we recommend the use of LRR for refresh of a specific encoded or dependent stream, and accept that the FIR behavior is a difference between MRST/MRMT and simulcast encodings.

But I’d be curious to see what the WG thinks.

—
Jonathan Lennox
[email-masked]<mailto:[email-masked]>